Index: sasmodels/models/stacked_disks.py
===================================================================
--- sasmodels/models/stacked_disks.py	(revision 40a87fa5096610e24c3ead10299f609e99f093f2)
+++ sasmodels/models/stacked_disks.py	(revision a8072067ae8a224e45d23ba71f663aadbe1ba4a9)
@@ -54,21 +54,21 @@
     \right]^2 \sin{\alpha}\ d\alpha
 
-where $d$ = thickness of the layer (*layer_thick*),
-$2h$ = core thickness (*core_thick*), and $R$ = radius of the disc (*radius*).
+where $d$ = thickness of the layer (*thick_layer*),
+$2h$ = core thickness (*thick_core*), and $R$ = radius of the disc (*radius*).
 
 .. math::
 
     S(q) = 1 + \frac{1}{2}\sum_{k=1}^n(n-k)\cos{(kDq\cos{\alpha})}
-    \exp\left[ -k(q\cos{\alpha})^2\sigma_D/2\right]
+    \exp\left[ -k(q\cos{\alpha})^2\sigma_Dnn/2\right]
 
 where $n$ is the total number of the disc stacked (*n_stacking*),
 $D = 2(d+h)$ is the next neighbor center-to-center distance (d-spacing),
-and $\sigma_D$ = the Gaussian standard deviation of the d-spacing (*sigma_d*).
+and $\sigma_Dnn$ = the Gaussian standard deviation of the d-spacing (*sigma_dnn*).
 
 .. note::
-    Each assmebly in the stack is layer/core/layer, so the spacing of the
+    Each assembly in the stack is layer/core/layer, so the spacing of the
     cores is core plus two layers. The 2nd virial coefficient of the cylinder
     is calculated based on the *radius* and *length*
-    = *n_stacking* * (*core_thick* + 2 * *layer_thick*)
+    = *n_stacking* * (*thick_core* + 2 * *thick_layer*)
     values, and used as the effective radius for $S(Q)$ when $P(Q) * S(Q)$
     is applied.
@@ -114,10 +114,10 @@
     One layer of disk consists of a core, a top layer, and a bottom layer.
     radius =  the radius of the disk
-    core_thick = thickness of the core
-    layer_thick = thickness of a layer
+    thick_core = thickness of the core
+    thick_layer = thickness of a layer
     sld_core = the SLD of the core
     sld_layer = the SLD of the layers
     n_stacking = the number of the disks
-    sigma_d =  Gaussian STD of d-spacing
+    sigma_dnn =  Gaussian STD of d-spacing
     sld_solvent = the SLD of the solvent
     """
@@ -127,9 +127,9 @@
 #   ["name", "units", default, [lower, upper], "type","description"],
 parameters = [
-    ["core_thick",  "Ang",        10.0, [0, inf],    "volume",      "Thickness of the core disk"],
-    ["layer_thick", "Ang",        10.0, [0, inf],    "volume",      "Thickness of layer each side of core"],
+    ["thick_core",  "Ang",        10.0, [0, inf],    "volume",      "Thickness of the core disk"],
+    ["thick_layer", "Ang",        10.0, [0, inf],    "volume",      "Thickness of layer each side of core"],
     ["radius",      "Ang",        15.0, [0, inf],    "volume",      "Radius of the stacked disk"],
     ["n_stacking",  "",            1.0, [0, inf],    "volume",      "Number of stacked layer/core/layer disks"],
-    ["sigma_d",     "Ang",         0,   [0, inf],    "",            "GSD of disks sigma_d"],
+    ["sigma_dnn",   "Ang",         0,   [0, inf],    "",            "Sigma of nearest neighbor spacing"],
     ["sld_core",    "1e-6/Ang^2",  4,   [-inf, inf], "sld",         "Core scattering length density"],
     ["sld_layer",   "1e-6/Ang^2",  0.0, [-inf, inf], "sld",         "Layer scattering length density"],
@@ -144,9 +144,9 @@
 demo = dict(background=0.001,
             scale=0.01,
-            core_thick=10.0,
-            layer_thick=10.0,
+            thick_core=10.0,
+            thick_layer=10.0,
             radius=15.0,
             n_stacking=1,
-            sigma_d=0,
+            sigma_dnn=0,
             sld_core=4,
             sld_layer=0.0,
@@ -158,9 +158,9 @@
     # Accuracy tests based on content in test/utest_extra_models.py.
     # Added 2 tests with n_stacked = 5 using SasView 3.1.2 - PDB
-    [{'core_thick': 10.0,
-      'layer_thick': 15.0,
-      'radius': 3000.0,
-      'n_stacking': 1.0,
-      'sigma_d': 0.0,
+    [{'thick_core': 10.0,
+      'thick_layer': 15.0,
+      'radius': 3000.0,
+      'n_stacking': 1.0,
+      'sigma_dnn': 0.0,
       'sld_core': 4.0,
       'sld_layer': -0.4,
@@ -172,9 +172,9 @@
      }, 0.001, 5075.12],
 
-    [{'core_thick': 10.0,
-      'layer_thick': 15.0,
+    [{'thick_core': 10.0,
+      'thick_layer': 15.0,
       'radius': 3000.0,
       'n_stacking': 5.0,
-      'sigma_d': 0.0,
+      'sigma_dnn': 0.0,
       'sld_core': 4.0,
       'sld_layer': -0.4,
@@ -186,9 +186,9 @@
      }, 0.001, 5065.12793824],
 
-    [{'core_thick': 10.0,
-      'layer_thick': 15.0,
+    [{'thick_core': 10.0,
+      'thick_layer': 15.0,
       'radius': 3000.0,
       'n_stacking': 5.0,
-      'sigma_d': 0.0,
+      'sigma_dnn': 0.0,
       'sld_core': 4.0,
       'sld_layer': -0.4,
@@ -200,9 +200,9 @@
      }, 0.164, 0.0127673597265],
 
-    [{'core_thick': 10.0,
-      'layer_thick': 15.0,
-      'radius': 3000.0,
-      'n_stacking': 1.0,
-      'sigma_d': 0.0,
+    [{'thick_core': 10.0,
+      'thick_layer': 15.0,
+      'radius': 3000.0,
+      'n_stacking': 1.0,
+      'sigma_dnn': 0.0,
       'sld_core': 4.0,
       'sld_layer': -0.4,
@@ -214,9 +214,9 @@
      }, [0.001, 90.0], [5075.12, 0.001]],
 
-    [{'core_thick': 10.0,
-      'layer_thick': 15.0,
-      'radius': 3000.0,
-      'n_stacking': 1.0,
-      'sigma_d': 0.0,
+    [{'thick_core': 10.0,
+      'thick_layer': 15.0,
+      'radius': 3000.0,
+      'n_stacking': 1.0,
+      'sigma_dnn': 0.0,
       'sld_core': 4.0,
       'sld_layer': -0.4,
@@ -228,9 +228,9 @@
      }, ([0.4, 0.5]), [0.00105074, 0.00121761]],
 
-    [{'core_thick': 10.0,
-      'layer_thick': 15.0,
-      'radius': 3000.0,
-      'n_stacking': 1.0,
-      'sigma_d': 0.0,
+    [{'thick_core': 10.0,
+      'thick_layer': 15.0,
+      'radius': 3000.0,
+      'n_stacking': 1.0,
+      'sigma_dnn': 0.0,
       'sld_core': 4.0,
       'sld_layer': -0.4,
Index: sasmodels/models/surface_fractal.c
===================================================================
--- sasmodels/models/surface_fractal.c	(revision 2c74c11fc4544381ecf9949bd1618c67ff624c6d)
+++ sasmodels/models/surface_fractal.c	(revision a8072067ae8a224e45d23ba71f663aadbe1ba4a9)
@@ -3,10 +3,10 @@
 double Iq(double q,
           double radius,
-          double surface_dim,
+          double fractal_dim_surf,
           double cutoff_length);
 
 static double _surface_fractal_kernel(double q,
     double radius,
-    double surface_dim,
+    double fractal_dim_surf,
     double cutoff_length)
 {
@@ -20,5 +20,5 @@
 
     //calculate S(q)
-    mmo = 5.0 - surface_dim;
+    mmo = 5.0 - fractal_dim_surf;
     sq  = sas_gamma(mmo)*sin(-(mmo)*atan(q*cutoff_length));
     sq *= pow(cutoff_length, mmo);
@@ -38,8 +38,8 @@
 double Iq(double q,
     double radius,
-    double surface_dim,
+    double fractal_dim_surf,
     double cutoff_length
     )
 {
-    return _surface_fractal_kernel(q, radius, surface_dim, cutoff_length);
+    return _surface_fractal_kernel(q, radius, fractal_dim_surf, cutoff_length);
 }
Index: sasmodels/models/surface_fractal.py
===================================================================
--- sasmodels/models/surface_fractal.py	(revision 33875e363f17e84f1f20f93fc0c802619155b23c)
+++ sasmodels/models/surface_fractal.py	(revision a8072067ae8a224e45d23ba71f663aadbe1ba4a9)
@@ -66,10 +66,10 @@
         delta        =  sldParticle -sldSolv.
         radius       =  Particle radius
-        surface_dim  =  Surface fractal dimension (Ds)
+        fractal_dim_surf  =  Surface fractal dimension (Ds)
         co_length    =  Cut-off length
         background   =  background
 
         Ref.   :Mildner, Hall,J Phys D Appl Phys(1986), 19, 1535-1545
-        Note I : This model is valid for 1<surface_dim<3 with limited q range.
+        Note I : This model is valid for 1<fractal_dim_surf<3 with limited q range.
         Note II: This model is not in absolute scale.
 """
@@ -80,5 +80,5 @@
 parameters = [["radius",        "Ang", 10.0, [0, inf],   "",
                "Particle radius"],
-              ["surface_dim",   "",    2.0,  [1, 3],   "",
+              ["fractal_dim_surf",   "",    2.0,  [1, 3],   "",
                "Surface fractal dimension"],
               ["cutoff_length", "Ang", 500., [0.0, inf], "",
@@ -90,10 +90,10 @@
 
 demo = dict(scale=1, background=0,
-            radius=10, surface_dim=2.0, cutoff_length=500)
+            radius=10, fractal_dim_surf=2.0, cutoff_length=500)
 
 tests = [
     # Accuracy tests based on content in test/utest_other_models.py
     [{'radius': 10.0,
-      'surface_dim': 2.0,
+      'fractal_dim_surf': 2.0,
       'cutoff_length': 500.0,
      }, 0.05, 301428.66016],
@@ -101,10 +101,10 @@
     # Additional tests with larger range of parameters
     [{'radius': 1.0,
-      'surface_dim': 1.0,
+      'fractal_dim_surf': 1.0,
       'cutoff_length': 10.0,
      }, 0.332070182643, 1125.00421004],
 
     [{'radius': 3.5,
-      'surface_dim': 0.1,
+      'fractal_dim_surf': 0.1,
       'cutoff_length': 30.0,
       'background': 0.01,
@@ -112,5 +112,5 @@
 
     [{'radius': 3.0,
-      'surface_dim': 1.0,
+      'fractal_dim_surf': 1.0,
       'cutoff_length': 33.0,
       'scale': 0.1,
Index: sasmodels/models/triaxial_ellipsoid.c
===================================================================
--- sasmodels/models/triaxial_ellipsoid.c	(revision 2f5c6d4a9ea74b4cc7a58030e36695b0634eb349)
+++ sasmodels/models/triaxial_ellipsoid.c	(revision a8072067ae8a224e45d23ba71f663aadbe1ba4a9)
@@ -1,22 +1,22 @@
-double form_volume(double req_minor, double req_major, double rpolar);
-double Iq(double q, double sld, double solvent_sld,
-    double req_minor, double req_major, double rpolar);
-double Iqxy(double qx, double qy, double sld, double solvent_sld,
-    double req_minor, double req_major, double rpolar, double theta, double phi, double psi);
+double form_volume(double radius_equat_minor, double radius_equat_major, double radius_polar);
+double Iq(double q, double sld, double sld_solvent,
+    double radius_equat_minor, double radius_equat_major, double radius_polar);
+double Iqxy(double qx, double qy, double sld, double sld_solvent,
+    double radius_equat_minor, double radius_equat_major, double radius_polar, double theta, double phi, double psi);
 
-//#define INVALID(v) (v.req_minor > v.req_major || v.req_major > v.rpolar)
+//#define INVALID(v) (v.radius_equat_minor > v.radius_equat_major || v.radius_equat_major > v.radius_polar)
 
 
-double form_volume(double req_minor, double req_major, double rpolar)
+double form_volume(double radius_equat_minor, double radius_equat_major, double radius_polar)
 {
-    return 1.333333333333333*M_PI*req_minor*req_major*rpolar;
+    return 1.333333333333333*M_PI*radius_equat_minor*radius_equat_major*radius_polar;
 }
 
 double Iq(double q,
     double sld,
-    double solvent_sld,
-    double req_minor,
-    double req_major,
-    double rpolar)
+    double sld_solvent,
+    double radius_equat_minor,
+    double radius_equat_major,
+    double radius_polar)
 {
     double sn, cn;
@@ -29,7 +29,7 @@
         const double x = 0.5*(Gauss76Z[i] + 1.0);
         SINCOS(M_PI_2*x, sn, cn);
-        const double acosx2 = req_minor*req_minor*cn*cn;
-        const double bsinx2 = req_major*req_major*sn*sn;
-        const double c2 = rpolar*rpolar;
+        const double acosx2 = radius_equat_minor*radius_equat_minor*cn*cn;
+        const double bsinx2 = radius_equat_major*radius_equat_major*sn*sn;
+        const double c2 = radius_polar*radius_polar;
 
         double inner = 0.0;
@@ -44,5 +44,5 @@
     // translate dx in [-1,1] to dx in [lower,upper]
     const double fqsq = outer*zm;
-    const double s = (sld - solvent_sld) * form_volume(req_minor, req_major, rpolar);
+    const double s = (sld - sld_solvent) * form_volume(radius_equat_minor, radius_equat_major, radius_polar);
     return 1.0e-4 * s * s * fqsq;
 }
@@ -50,8 +50,8 @@
 double Iqxy(double qx, double qy,
     double sld,
-    double solvent_sld,
-    double req_minor,
-    double req_major,
-    double rpolar,
+    double sld_solvent,
+    double radius_equat_minor,
+    double radius_equat_major,
+    double radius_polar,
     double theta,
     double phi,
@@ -71,9 +71,9 @@
     const double cnu = (-cphi*spsi*stheta + sphi*cpsi)*qxhat + spsi*ctheta*qyhat;
     const double cmu = (-stheta*cpsi*cphi - spsi*sphi)*qxhat + ctheta*cpsi*qyhat;
-    const double t = q*sqrt(req_minor*req_minor*cnu*cnu
-                          + req_major*req_major*cmu*cmu
-                          + rpolar*rpolar*calpha*calpha);
+    const double t = q*sqrt(radius_equat_minor*radius_equat_minor*cnu*cnu
+                          + radius_equat_major*radius_equat_major*cmu*cmu
+                          + radius_polar*radius_polar*calpha*calpha);
     const double fq = sph_j1c(t);
-    const double s = (sld - solvent_sld) * form_volume(req_minor, req_major, rpolar);
+    const double s = (sld - sld_solvent) * form_volume(radius_equat_minor, radius_equat_major, radius_polar);
 
     return 1.0e-4 * square(s * fq);
Index: sasmodels/models/triaxial_ellipsoid.py
===================================================================
--- sasmodels/models/triaxial_ellipsoid.py	(revision 42356c8890c04b71169941b12a36fc0e07e2034b)
+++ sasmodels/models/triaxial_ellipsoid.py	(revision a8072067ae8a224e45d23ba71f663aadbe1ba4a9)
@@ -88,11 +88,11 @@
 parameters = [["sld", "1e-6/Ang^2", 4, [-inf, inf], "sld",
                "Ellipsoid scattering length density"],
-              ["solvent_sld", "1e-6/Ang^2", 1, [-inf, inf], "sld",
+              ["sld_solvent", "1e-6/Ang^2", 1, [-inf, inf], "sld",
                "Solvent scattering length density"],
-              ["req_minor", "Ang", 20, [0, inf], "volume",
+              ["radius_equat_minor", "Ang", 20, [0, inf], "volume",
                "Minor equatorial radius"],
-              ["req_major", "Ang", 400, [0, inf], "volume",
+              ["radius_equat_major", "Ang", 400, [0, inf], "volume",
                "Major equatorial radius"],
-              ["rpolar", "Ang", 10, [0, inf], "volume",
+              ["radius_polar", "Ang", 10, [0, inf], "volume",
                "Polar radius"],
               ["theta", "degrees", 60, [-inf, inf], "orientation",
@@ -106,5 +106,5 @@
 source = ["lib/sph_j1c.c", "lib/gauss76.c", "triaxial_ellipsoid.c"]
 
-def ER(req_minor, req_major, rpolar):
+def ER(radius_equat_minor, radius_equat_major, radius_polar):
     """
         Returns the effective radius used in the S*P calculation
@@ -112,13 +112,13 @@
     import numpy as np
     from .ellipsoid import ER as ellipsoid_ER
-    return ellipsoid_ER(rpolar, np.sqrt(req_minor * req_major))
+    return ellipsoid_ER(radius_polar, np.sqrt(radius_equat_minor * radius_equat_major))
 
 demo = dict(scale=1, background=0,
-            sld=6, solvent_sld=1,
+            sld=6, sld_solvent=1,
             theta=30, phi=15, psi=5,
-            req_minor=25, req_major=36, rpolar=50,
-            req_minor_pd=0, req_minor_pd_n=1,
-            req_major_pd=0, req_major_pd_n=1,
-            rpolar_pd=.2, rpolar_pd_n=30,
+            radius_equat_minor=25, radius_equat_major=36, radius_polar=50,
+            radius_equat_minor_pd=0, radius_equat_minor_pd_n=1,
+            radius_equat_major_pd=0, radius_equat_major_pd_n=1,
+            radius_polar_pd=.2, radius_polar_pd_n=30,
             theta_pd=15, theta_pd_n=45,
             phi_pd=15, phi_pd_n=1,
